<div class="content-header" >
      <div class="container-fluid">
        <div class="row mb-2">
		 <div class="col-sm-6">
			<h1>
			Cuentas por Cobrar
			<small>modulo</small>
			</h1>
		</div>	
		
		<div class="col-sm-6">
            <ol class="breadcrumb float-sm-right">
				<li class="breadcrumb-item" >Inicio</li>
				<li class="breadcrumb-item" >Operaciónes</li>
				<li class="breadcrumb-item active">Cuentas por Cobrar</li>
            </ol>
          </div>
		</div>
	</div>
</div>
	<!-- filtro de registros-->
	<div id="div_cuentacobrar_filtro" ></div>
	<!-- tabla de registros-->
	<div id="div_cuentacobrar_tabla" ></div>
	<!-- formulario de registros-->
	
		<div class="modal fade" id="div_ingreso_form_dialog" role="dialog" data-keyboard="true"  data-backdrop="static" tabindex="-1"  style="padding:0px; overflow-y:scroll;">
			<div class="modal-dialog modal-lg"  role="document" >
			<div class="modal-content"  >
			<div class="modal-body div_ingreso_form" >
			</div>
			<br />
			<br />
			</div>
			</div>
			</div>
			
			<div class="modal fade" id="div_cobros_form_dialog" role="dialog" data-keyboard="true"  data-backdrop="static" tabindex="-1"  style="padding:0px; overflow-y:scroll;">
			<div class="modal-dialog modal-lg"  role="document" >
			<div class="modal-content"  >
			<div class="modal-body div_cobros_form" >
			</div>
			<br />
			<br />
			</div>
			</div>
			</div>
		
			<div class="modal" id="div_mensaje_dialog" role="dialog" data-keyboard="false" data-backdrop="static" tabindex="-1"  style="padding:0px;" >
			<div class="modal-dialog modal-md"  role="document" >
			<div class="modal-content" style="padding:0px;">
			<div class="modal-body div_mensaje"  >
			
		
			
			</div>
			<br />
			<br />
			</div>
			</div>
			</div>	
		<div class="modal fade" id="div_ingreso_form_dialog" role="dialog" data-keyboard="true"  data-backdrop="static" tabindex="-1"  style="padding:0px; overflow-y:scroll;">
			<div class="modal-dialog modal-lg"  role="document" >
			<div class="modal-content">
			<div class="modal-body div_ingreso_form"  >
			</div>
			<br />
			<br />
			</div>
			</div>
			</div>
						
<script type="text/javascript">
	
	function cuentacobrar_filtro()
	{
		$.ajax({
			type: "POST",
			url: "../cuentacobrar/cuentacobrar_filtro.php",
			async:true,
			dataType: "html",                      
		//data: ({
			//producto: $('#txt_fil_pro').val()
		//}),
		beforeSend: function() {
			var div = "<center> <br> <span class='spinner-border spinner-border-lg mr-2'></span> <span style='font-size:1.5rem;'>PROCESANDO PETICIÓN</span></center>";	
					
			$('#div_cuentacobrar_filtro').html(div);
		},
		success: function(html){
			$('#div_cuentacobrar_filtro').html(html);
		},
		complete: function(){
				//cuentacobrar_tabla();
				}
			});
	}
	function cuentacobrar_tabla(){
		
		$('#div_mensaje_dialog').modal('show');
		
		$.ajax({
			type: "POST",
			url: "../cuentacobrar/cuentacobrar_tabla.php",
			async:true,
			dataType: "html",                      
			data: $("#for_fil_cuecob").serialize(),
			beforeSend: function() {
				
				var divmen = "<center> <br> <span class='spinner-border spinner-border-lg mr-2'></span> <span style='font-size:1.5rem;'>PROCESANDO PETICIÓN</span></center>";	
					
					$('.div_mensaje').html(divmen);
				
				$('#div_cuentacobrar_tabla').addClass("ui-state-disabled");
			},
			success: function(html){
				$('#div_cuentacobrar_tabla').html(html);
			},
			complete: function(){			
				$('#div_cuentacobrar_tabla').removeClass("ui-state-disabled");
				$('#div_mensaje_dialog').modal('hide');
			}
		});
	}	
	function buscar(){
	if($('#cmb_fil_empresa_id').val()==""){
		toastr["success"]('Seleccione una empresa');
	}else if($('#hdd_fil_cli_id').val()==""){
		toastr["success"]('Seleccione un cliente');
	}else{
		cuentacobrar_tabladeudas($('#hdd_fil_cli_id').val(),$('#cmb_fil_empresa_id').val(),$('#cmb_fil_mon_id').val());
	}
	
}
	
	
	function cuentacobrar_tabladeudas(cli,emp,mon)
	{
		$.ajax({
			type: "POST",
			url: "../cuentacobrar/cuentacobrar_tabladeudas.php",
			async:true,
			dataType: "html", 
			data: ({
				cli_id: cli,
				emp_id: emp,
				mon_id: mon
			}),                  
			beforeSend: function() {
				$('#div_cuentacobrar_tabla').addClass("ui-state-disabled");
			},
			success: function(html){
				$('#div_cuentacobrar_tabla').html(html);
			},
			complete: function(){			
				$('#div_cuentacobrar_tabla').removeClass("ui-state-disabled");
			}
		});   
	}
	function ingreso_form(act,id_vp){	
	
	
		$('#div_ingreso_form_dialog').modal('show'); 
		$.ajax({
			type: "POST",
			url: "../cuentacobrar/ingreso_cuentacobrar.php",
			async:true,
			dataType: "html",                      
			data: ({
				action: act,
				venpag_id : id_vp,
				vista: 'cuentasxcobrar_tabla2'
			}),
			beforeSend: function() {
			var div = "<center> <br> <span class='spinner-border spinner-border-lg mr-2'></span> <span style='font-size:1.5rem;'>PROCESANDO PETICIÓN</span></center>";	
					
			$('.div_ingreso_form .modal-content').html(div);
			},
			success: function(html){
				$('.div_ingreso_form').html(html);				
			},
			complete: function(html){
			}
		});
	}
	
	function ver_cobros(venpagid,vdetpagid,numdoc){	
	
		$('#div_cobros_form_dialog').modal('show'); 
		
		$.ajax({
			type: "POST",
			url: "../ingreso/ingreso_pagos.php",
			async:true,
			dataType: "html",                      
			data:({
				venpagid:venpagid,
				vdetpagid: vdetpagid,
				numdoc: numdoc
			}),
			beforeSend: function(){
				var div = "<center> <br> <span class='spinner-border spinner-border-lg mr-2'></span> <span style='font-size:1.5rem;'>PROCESANDO PETICIÓN</span></center>";	
					
				$('.div_cobros_form .modal-content').html(div);
			},
			success: function(html){
				$('.div_cobros_form').html(html);				
			},
			complete: function(html){
			}
		});
		
	}
	
	
	
	
	$(function() {
		
		$("#div_mensaje_dialog").on('hidden.bs.modal', function () {
			$('body').css('padding-right','0px');
			});
			
			$("#div_mensaje_dialog").on('hidden.bs.modal', function () {
		   	$('body').css('overflow-y','scroll');
		});
		
		$('#btn_actualizar').click(function() {
			$("#contenido").load("../cuentacobrar/cuentacobrar_vista.php");
		});
			$("#div_mensaje_dialog").on('hidden.bs.modal', function () {
			$('body').css('padding-right','0px');
			});
			
		cuentacobrar_filtro();
		setTitle("CUENTAS POR COBRAR - "+nombreEmpresa); 
	});
</script> 